## EMBOSS: wobble

# Program wobble

## Function

Wobble base plot

## Description

Wobble plots the third position variability as an indicator of a potential coding region.

For each of the six possible translation frames, this plots a graph showing the percentage of 'G' and 'C' bases in the third position of codons in the frame within a window that is moved over the sequence.

Bases other than 'G' and 'C' can be chosen with the -bases option.

The Mean of the third base percentage value is drawn as a horizontal line across the plots.

## Usage

Here is a sample session with wobble. The example sequence is from Pseudomonas aeruginosa, which has a high G+C content and a very biased third codon position (if it can be G or C, it usually is).

    % wobble
    Wobble base plot
    Input sequence: embl:paamir
    Graph type [x11]:
    Output file [paamir.wobble]:

click here for the result

## Command line arguments

       Mandatory qualifiers:
      [-sequence]          sequence   Sequence USA
       -graph              xygraph    Graph type
       -outf               outfile    Output file name

       Optional qualifiers:
       -window             integer    Window size in codons

       Advanced qualifiers:
       -bases              string     Bases used

       General qualifiers:
      -help                bool       report command line options. More
                                      information on associated and general
                                      qualifiers can be found with -help -verbose

Mandatory qualifiers | Allowed values | Default
--- | --- | ---
[-sequence] (Parameter 1) | Sequence USA | Readable sequence | Required
-graph | Graph type | EMBOSS has a list of known devices, including postscript, ps, hpgl, hp7470, hp7580, meta, colourps, cps, xwindows, x11, tektronics, tekt, tek4107t, tek, none, null, text, data, xterm, png | EMBOSS_GRAPHICS value, or x11
-outf | Output file name | Output file | <sequence>.wobble
Optional qualifiers | Allowed values | Default
-window | Window size in codons | Integer 1 or more | 30
Advanced qualifiers | Allowed values | Default
-bases | Bases used | Any string is accepted | GC

## Input file format

Normal nucleic acid sequence USA.

## Output file format

It plots a set of six graphs, one for each frame.

## Data files

None.

## Notes

None.

## References

None.

## Warnings

None.

## Diagnostic Error Messages

"Sequence too short for window" - The sequence must be longer than 3 times the window length.

"Specifying ACG&T is meaningless" - When you use the option -bases to specify the bases to look for, it is pointless to specuy looking for all the possible bases as these should add to 100% all the time.

"No bases specified" - Similarly you have to specify soem bases to look for otherwise you must plot a 0% line.

## Exit status

It always exist with a status of 0, unless a fatal error is given.

## Known bugs

None.

## See also

Program name | Description
--- | ---
getorf | Finds and extracts open reading frames (ORFs)
marscan | Finds MAR/SAR sites in nucleic sequences
plotorf | Plot potential open reading frames
showorf | Pretty output of DNA translations

## Author(s)

This application was written by Alan Bleasby (ableasby@hgmp.mrc.ac.uk)

## History

Completed Spring 2000.

## Target users

This program is intended to be used by everyone and everything, from naive users to embedded scripts.

## Comments